@keyframes reveal200px {
  from {
    opacity: 0;
    transform: translateY(200px); /* Slides up slightly */
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes reveal150px {
  from {
    opacity: 0;
    transform: translateY(150px); /* Slides up slightly */
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes reveal-see-more-btn {
  from {
    opacity: 0;
    transform: translateY(100px); /* Slides up slightly */
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes reveal60px {
  from {
    opacity: 0;
    transform: translateY(60px); /* Slides up slightly */
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.body {
    background-color: rgb(245, 245, 220);
    color: #ff9191;
    width: 100%;
    margin: 0;
    overflow-y: scroll;
}

.topbar-links-wrapper {
    display: flex;
    gap: 20px;
}

.topbar {
    display: flex;
    z-index: 9;
    align-items: center;
    justify-content: space-between;
    padding-left: 30px;
    padding-right: 30px;
    margin-top: 20px;
    justify-self: center;
    width: 92%;
    height: 10vh;
    background: rgba(255, 174, 174, 0.4);
    background: -webkit-linear-gradient(to left, rgba(255, 174, 174, 0.4), rgba(255, 195, 195, 0.4)); 
    background: linear-gradient(to left, rgba(255, 174, 174, 0.4), rgba(255, 195, 195, 0.4)); 
    backdrop-filter: blur(7px) brightness(0.9);
    border-radius: 13px;
    color: rgb(245, 245, 220);
    position: fixed;
    filter: drop-shadow(0px 10px 10px rgba(255, 174, 174, 0.5));
}

.logo {
    font-weight: bold;
    font-size: 22px;
    font-family: "Sofia", sans-serif;
    cursor: pointer;
    text-shadow: 1.1px 1.1px 0 #f5f5dc80;
}

.topbar-link-btn button {
    font-family: "Sofia", sans-serif;
    background-color: rgba(245, 245, 220, 0.7);
    color: rgba(234, 202, 189, 0.9);
    backdrop-filter: blur(5px), brightness(0.9);
    font-weight: bold;
    border: none;
    cursor: pointer;
    font-size: 18px;
    border-radius: 10px;
    min-width: 70px;
    min-height: 6.5vh;
    padding-left: 15px;
    padding-right: 15px;
    text-shadow: 1px 1px 0 #eacabd80;
    box-shadow: 3px 3px 0 rgba(245, 245, 220, 0.4);
}

.see-more-link-btn button {
    margin-bottom: 20px;
    font-family: "Sofia", sans-serif;
    background-color: rgba(255, 174, 174, 0.4);
    color: rgba(255, 174, 174, 0.6);
    backdrop-filter: blur(5px), brightness(0.9);
    font-weight: bold;
    border: none;
    cursor: pointer;
    font-size: 18px;
    border-radius: 10px;
    min-width: 70px;
    min-height: 6.5vh;
    padding-left: 15px;
    padding-right: 15px;
    text-shadow: 1px 1px 0 #eacabd80;
    box-shadow: 3px 3px 0 rgba(255, 174, 174, 0.2);
    margin-left: 15px;
    transform: scale(1.2);
}

.unselectable {
    user-select: none;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -o-user-select: none;
}

.content-wrapper {
    font-family: "Hachi Maru Pop", cursive;
    z-index: 8;
    position: absolute;
    justify-self: center;
    margin-top: 63vh;
    width: 93%;
}

.home-title {
    text-align: left;
    margin-bottom: 150px;
}

.home-title h1 {
    font-size: 100px;
    line-height: 120px;
    margin-bottom: 0px;
}

.home-title h2 {
    line-height: 10px;
    margin-left: 5px;
    font-size: 40px;
    font-weight: bold;
    color: rgba(255, 174, 174, 0.6);
}

.home-title h3 {
    margin-left: 7px;
    font-size: 30px;
    font-weight: bold;
    color: rgba(255, 174, 174, 0.4);
    margin-bottom: 15px;
}

.reveal-box-200px {
    animation: reveal200px linear both;
    animation-timeline: view(); /* <-- The magic trick */
    animation-range: entry 10% cover 30%; /* Starts appearing quickly */
}

.reveal-box-150px {
    animation: reveal150px linear both;
    animation-timeline: view(); /* <-- The magic trick */
    animation-range: entry 10% cover 30%; /* Starts appearing quickly */
}

.reveal-box-see-more-btn {
    animation: reveal-see-more-btn linear both;
    animation-timeline: view(); /* <-- The magic trick */
    animation-range: entry 10% cover 30%; /* Starts appearing quickly */
}

.reveal-box-60px {
    animation: reveal60px linear both;
    animation-timeline: view(); /* <-- The magic trick */
    animation-range: entry 10% cover 30%; /* Starts appearing quickly */
}

a {
    color: rgb(245, 245, 220);
    text-decoration-line: none;
}